Download it now!
Bug 113070 - Master document: No difference between subdocuments from a master created with outline level 1 and outline level 2
Summary: Master document: No difference between subdocuments from a master created wit...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Ahmed GHANMI
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2017-10-12 15:17 UTC by Ahmed GHANMI
Modified: 2019-10-01 06:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Files and results when bug is not reproduced (53.64 KB, application/zip)
2017-10-12 15:17 UTC, Ahmed GHANMI
Details
Files and results when bug is reproduced (59.26 KB, application/zip)
2017-10-12 15:29 UTC, Ahmed GHANMI
Details
Version of LO where the bug is not reproduced (58 bytes, text/plain)
2017-10-12 15:29 UTC, Ahmed GHANMI
Details
Version of LO where the bug is reproduced (82 bytes, text/plain)
2017-10-12 15:30 UTC, Ahmed GHANMI
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ahmed GHANMI 2017-10-12 15:17:57 UTC
Created attachment 136931 [details]
Files and results when bug is not reproduced

>> Version where bug is reproduced: 

5.2.6 and 6.0.0 

>> Version where bug is not reproduced:
5.4.1

>> Platforms: 

Linux and Windows 64bits

>> Description:

I create two master documents from one .odt document the first for titles where the style of titles is (heading1) and the second one for subtitles where the style of subtitles is (heading2).
The issue that when i select creating a master document i choose for styles (outline:level1) all titles are selected and the behavior is ok. But, when i select outline:level2) all subtitles are not selected but titles are selected but the correct behavior is to select subtitles and not titles.
I've attached for both cases two zip files containing .odt file and 2 .odm files and .odt files generated when creating a master document.

>> steps to reproduce:

1) Create a new .odt file.

2) Write the text below as recommended.
Title1     (select heading1 style)
  Title1.1 (select heading2 style)
  Title1.2 (select heading2 style)
Title2     (select heading1 style)
  Title2.1 (select heading2 style)
  Title2.2 (select heading2 style)

3) save the file in path.

4) File -> send -> create master document.

5) Select Style:outline1.

6) Save the .odm file (the .odt file will be closed and instead the .odm file will be openend).

7) Reopen .odt file.

8) File -> send -> create master document.

9) Select Style:outline2.

10) Save the .odm file (the .odt file will be closed and instead the .odm file will be openend).

>> Expected results:
- For step  5: Odm file is created and title 1 with 1.1 and 1.2 is selected and title 2 with 2.1 and 2.2 are selected and two .odt file are generated.

- For step 6: Odm file is created and subtitles 1.1 and 1.2 are selected and subtitles 2.1 and 2.2 are selected and .odt file are generated.

>> Obtained results:

- For step  5: Odm file is created and title 1 with 1.1 and 1.2 is selected and title 2 with 2.1 and 2.2 are selected and two .odt file are generated.

- For step  6: Odm file is created and title 1 with 1.1 and 1.2 is selected and title 2 with 2.1 and 2.2 are selected and two .odt file are generated. (weird behavior same result as step 5).
Comment 1 Ahmed GHANMI 2017-10-12 15:29:17 UTC
Created attachment 136932 [details]
Files and results when bug is reproduced
Comment 2 Ahmed GHANMI 2017-10-12 15:29:51 UTC
Created attachment 136933 [details]
Version of LO where the bug is not reproduced
Comment 3 Ahmed GHANMI 2017-10-12 15:30:36 UTC
Created attachment 136934 [details]
Version of LO where the bug is reproduced
Comment 4 Ahmed GHANMI 2017-10-12 15:48:01 UTC
Just i retested the version where the bug is not reproduced is 5.1.6.2
Comment 5 Xisco Faulí 2017-10-13 22:10:30 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone else confirms it.
Comment 6 Dieter 2017-10-14 14:40:39 UTC
Tested with

Version: 4.4.7.2
Build-ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Gebietsschema: de_DE

and

Version: 5.4.2.2 (x64)
Build-ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

and

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 465092047d5fa6ec6dd369372e712d76554570ff
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-09-26_23:16:01
Locale: de-DE (de_DE); Calc: group



I always got the same result: Odm file is created and subtitles 1.1 and 1.2 are selected and subtitles 2.1 and 2.2 are selected and .odt file are generated.

I agree that this is not the expected result => changed to NEW
Comment 7 Ahmed GHANMI 2017-11-30 14:28:33 UTC
I created a patch which fix the issue please find below my commmit's link:

https://gerrit.libreoffice.org/#/c/45589/
Comment 8 Commit Notification 2018-01-07 14:43:48 UTC
Ahmed GHANMI committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25206db2aa65430a13a3fe3274c86cc7652c328f

tdf#113070: Fix master document issue

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-02-07 23:39:33 UTC
A polite ping to Ahmed GHANMI: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 10 Dieter 2019-10-01 06:46:05 UTC
I just tried to verify the bug fix.

Result after steps 9 and 10 (from bug report):
Only one subdocument is created (with Title 2.2). I don't think, that this is the expected result. What do you think, Ahmed?